Subject: bug#75456: 31.0.50; Cannot find the definition of the predicate in `treesit-thing-settings'" sexp-list)

From: Vincenzo Pupillo <[email-masked]>
Date: Sat, 18 Jan 2025 17:52:53 +0100

Ciao Yuan,

In data sabato 18 gennaio 2025 07:27:32 Ora standard dell’Europa centrale, 
Yuan Fu ha scritto:
> ....
> 
> I just pushed a fix, now you shouldn’t see jsdoc parsers anymore. Can you
> see if this fixes the problem you had?
> 
I only tested js.el with 0001-language-at-point-function-that-handles-local-
parser.patch
I tested only js.el with the 0001-language-at-point-function-that-handles-
local-parser.patch because it was less complex. The font-locking is ok but the 
indentation of jsdoc type comments breaks because there are no specific rules 
(for jsdoc) and also this message appears:

Error running timer 'show-paren-function': (treesit-no-parser jsdoc)

The comment:
;; 2. In most cases, a function shouldn't implicitly create a parser.
;; All parsers should be created explicitly by user.

Does this imply that we need to create local parsers as well?

> Yuan